Download it now!
Bug 130952 - CRASH: launching Bullets & Numbering dialog from sidebar (gtk3)
Summary: CRASH: launching Bullets & Numbering dialog from sidebar (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-26 09:54 UTC by Xisco Faulí
Modified: 2020-02-27 08:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-26 09:54:27 UTC
Steps to reproduce:
1. Open writer
2. Sidebar - Properties - Paragraph
3. Expand the bullet's or numbering's dropdown list - More bullets

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: e6b9bc3f2ecf0fb7fde5b02f9d750ccbe022f4c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-26 09:56:03 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=14e26096f0476b8ecb70511c304a0cdf5440ef7a

author	Caolán McNamara <caolanm@redhat.com>	2020-01-09 15:45:46 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-01-10 15:13:45 +0100
commit	14e26096f0476b8ecb70511c304a0cdf5440ef7a (patch)
tree	9aca765b2599b23ad5d88e37877c345c1a71c254
parent	9b97efd4228489f2e54a948e676917e50902fd33 (diff)
make welded toolbars on-demand that were previously on-demand

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-02-26 13:58:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/24a071a08655536b7ec10b2a77792c8ec72a5d1d

tdf#130952 crash launching bullets and numbering from sidebar more... dropdown

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-02-26 14:17:47 UTC
fixed in master, I think this is a master only issue
Comment 4 Xisco Faulí 2020-02-27 08:38:45 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: e57f72d8fc81762860b4579df92db264e8d710ef
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!